require 'spec_helper'

require 'tablets/data/processing/base'

RSpec.describe Tablets::Data::Processing::Base do
  subject { described_class.new(params, columns) }

  let(:relation) { :relation }
  let(:params) { :params }
  let(:columns) { :columns }

  describe '#apply' do
    it 'raises not implemented error' do
      expect do
        subject.apply(relation)
      end.to raise_error(NotImplementedError)
    end
  end

  describe '.apply' do
    it 'raises not implemented error' do
      expect do
        described_class.apply(params, columns, relation)
      end.to raise_error(NotImplementedError)
    end
  end
end
