require 'spec_helper'

require 'tablets'

require 'tablets/global/loader'

RSpec.describe Tablets::Global::Loader do
  subject { Object.new.tap { |object| object.extend(described_class) } }

  describe '#load!' do
    let(:files) { %w(file1 file2) }
    let(:tablets_dir) { 'dir' }

    before do
      allow(Tablets).to receive(:tablets_dir).and_return(tablets_dir)
      allow(Dir).to receive(:[]).and_return(files)
    end

    before do
      allow(subject).to receive(:load)
    end

    it 'loads files from tablets directory' do
      expect(subject).to receive(:load).with 'file1'
      expect(subject).to receive(:load).with 'file2'
      subject.load!
    end
  end
end
