require 'spec_helper'

require 'tablets/global/store'

RSpec.describe Tablets::Global::Store do
  subject { Object.new.tap { |object| object.extend(described_class) } }

  describe '#register' do
    let(:name) { :posts }
    let(:tablet) { double }

    before do
      subject.instance_eval { @tablets = {} }
    end

    let!(:result) { subject.register_tablet(name, tablet) }

    it 'stores tablet' do
      expect(subject.tablets).to eq(name => tablet)
    end

    it 'delegates [] to tablets' do
      expect(subject[name]).to eq(subject.tablets[name])
    end
  end
end
