require 'spec_helper'

require 'tablets'

require 'tablets/base'

RSpec.describe Tablets::Base do
  class PostTablet < Tablets::Base; end

  subject { PostTablet.new }

  describe '#name' do
    let(:result) { subject.name }

    it 'returns tablet name' do
      expect(result).to eq('post')
    end
  end

  describe '#options' do
    let(:result) { subject.options }

    it 'returns tablet options' do
      expect(result).to eq({})
    end
  end

  describe '#authorize' do
    let(:result) { subject.authorize(nil) }

    it 'returns tablet authorization response' do
      expect(result).to eq(true)
    end
  end

  describe '#process' do
    let(:result) { subject.process([1, 2]) }

    it 'returns tablet processings' do
      expect(result).to eq([1, 2])
    end
  end

  describe '#details' do
    let(:result) { subject.details(nil) }

    it 'returns tablet details' do
      expect(result).to eq(nil)
    end
  end

  describe '#payload' do
    let(:result) { subject.payload }

    it 'returns tablet payload' do
      expect(result).to eq({})
    end
  end

  describe '#tablet_name' do
    let(:result) { PostTablet.tablet_name }

    it 'returns tablet name' do
      expect(result).to eq('post')
    end
  end
end
